mysqlhotcopy errors on databases containing MyISAM views

Bug #1015033 reported by Ben Thornton on 2012-06-19
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
MySQL Server
Unknown
Unknown
mysql-5.5 (Ubuntu)
High
James Page
Precise
High
James Page
Quantal
High
James Page

Bug Description

mysqlhotcopy attempts to flush all tables, and when it gets to one of the views, it throws the error "<tablename> is not BASE TABLE" (this error was added in 5.5). This in turn causes the backup to abort.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: mysql-server 5.5.24-0ubuntu0.12.04.1
ProcVersionSignature: Ubuntu 3.2.0-25.40-generic 3.2.18
Uname: Linux 3.2.0-25-generic x86_64
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
Date: Tue Jun 19 02:23:33 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Logs.var.log.daemon.log:

Logs.var.log.kern.log:
 Jun 18 23:34:29 carl kernel: [351039.309278] type=1400 audit(1340087669.111:26): apparmor="STATUS" operation="profile_replace" name="/usr/sbin/mysqld" pid=6412 comm="apparmor_parser"
 Jun 19 01:09:40 carl kernel: [356750.407056] type=1400 audit(1340093380.208:27): apparmor="STATUS" operation="profile_replace" name="/usr/sbin/mysqld" pid=7678 comm="apparmor_parser"
MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf:
 [mysqld_safe]
 syslog
MySQLVarLibDirListing: False
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: mysql-5.5
UpgradeStatus: No upgrade log present (probably fresh install)

Ben Thornton (smenjas) wrote :
Ben Thornton (smenjas) wrote :
James Page (james-page) wrote :

Marked 'Confirmed' and 'High' - more that sufficient evidence that this is an actual issue.

Changed in mysql-5.5 (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in mysql-5.5 (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → High
James Page (james-page) wrote :

Thanks for taking the time to report this bug Ben - much appreciated!

tags: added: rls-q-incoming
Ursula Junque (ursinha) on 2012-08-01
tags: removed: rls-q-incoming
James Page (james-page) on 2012-09-03
Changed in mysql-5.5 (Ubuntu Quantal):
status: Confirmed → Triaged
Changed in mysql-5.5 (Ubuntu Precise):
status: Confirmed → Triaged
James Page (james-page) on 2012-09-03
Changed in mysql-5.5 (Ubuntu Quantal):
assignee: nobody → James Page (james-page)
status: Triaged → In Progress
James Page (james-page) on 2012-09-04
Changed in mysql-5.5 (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.27-0ubuntu2

---------------
mysql-5.5 (5.5.27-0ubuntu2) quantal; urgency=low

  * Fix mysqlhotcopy for databases containing views (LP: #1015033):
    - d/patches/fix-mysqlhotcopy.patch: Fix picked from upstream bug
      tracker which is included in mysql >= 5.6.
  * Enable use of native AIO (LP: #999766):
    - d/rules,control: BD on libaio-dev, Enable AIO flags during package
      build process.
  * Make innotop usable without installing Suggests (LP: #1000605):
    - d/control: Promote libterm-readkey-perl from Suggests to Depends.
 -- James Page <email address hidden> Fri, 07 Sep 2012 08:06:13 +0100

Changed in mysql-5.5 (Ubuntu Quantal):
status: In Progress → Fix Released
Bruno Rino (rinoo7) wrote :

When can we expect this fix to be published to the Precise repositories?

James Page (james-page) wrote :

This fix got swept up in the upstream 5.5.28 release which is now in precise - marking fix released.

Changed in mysql-5.5 (Ubuntu Precise):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.